## memlockd 0.03

=== Makefile ===

all: memlockd

WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wcast-qual -pedantic -ffor-scope


memlockd: memlockd.cpp
	gcc -O2 memlockd.cpp -o memlockd $(WFLAGS) -lstdc++

clean:
	rm -f memlockd

## memlockd 0.05

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 memlockd: memlockd.cpp
-	gcc -O2 memlockd.cpp -o memlockd $(WFLAGS) -lstdc++
+	g++ -O2 memlockd.cpp -o memlockd $(WFLAGS)
 
 clean:
 	rm -f memlockd

## memlockd 1.1.1

=== debian/control ===
Source: memlockd
Section: admin
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: memlockd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: daemon to lock files into RAM
 When a system starts paging excessively it may be impossible for the sysadmin 
 to login for the purpose of killing the runaway processes (sometimes the 
 login program times out due to thrashing).  Memlockd allows important system 
 files (such as /bin/login, /bin/getty, and the admin shell) to be locked in 
 memory so that there will be no delay in accessing executable pages.  In my 
 tests this can decrease the time required for the administrator to login on a 
 thrashing system by a factor of more than 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/memlockd.sgml > memlockd.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/memlockd.
#	$(MAKE) DESTDIR=$(CURDIR)/debian/memlockd install
	cp memlockd debian/memlockd/usr/sbin
	cp memlockd.cfg debian/memlockd/etc
	cp debian/memlockd-default debian/memlockd/etc/default/memlockd
	cp memlockd.service debian/memlockd/lib/systemd/system/memlockd.service


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman memlockd.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## memlockd 1.2

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 9), dh-systemd (>= 1.4)
 Standards-Version: 3.7.2
 
 Package: memlockd

## memlockd 1.2build1

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) CXXFLAGS=-O2
 	#docbook-to-man debian/memlockd.sgml > memlockd.1
 
 	touch $@
@@ -82,7 +82,9 @@
 #	dh_installpam
 #	dh_installmime
 #	dh_python
+	dh_systemd_enable
 	dh_installinit
+	dh_systemd_start
 #	dh_installcron
 #	dh_installinfo
 	dh_installman memlockd.8

## memlockd 1.2.1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper (>= 9), dh-systemd (>= 1.4)
+Build-Depends: debhelper (>= 13)
 Standards-Version: 3.7.2
 
 Package: memlockd

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.coker.com.au/memlockd memlockd-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
http://www.coker.com.au/memlockd/memlockd-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/memlockd-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/memlockd/memlockd-(.*)\.tar\.gz

## memlockd 1.3.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 memlockd: memlockd.cpp
-	g++ -O2 memlockd.cpp -o memlockd $(WFLAGS)
+	$(CXX) $(WFLAGS) $(CXXFLAGS) $(LDFLAGS) memlockd.cpp -o memlockd
 
 clean:
 	rm -f memlockd

=== debian/changelog ===
memlockd (1.3.1-2) unstable; urgency=medium

  * Made systemd service script not use deprecated syslog facility
  * Changed to new debhelper-compat build-depends
  * Made postinst not call systemctl directly
  * Added pre-depends
  * Removed manual update-rc.d as that is generated by debhelper
  * Added #DEBHELPER# to postinst and remove update-rc.d

 -- Russell Coker <russell@coker.com.au>  Sun, 21 Jul 2024 22:12:05 +1000

memlockd (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Do not install a possibly empty /lib/systemd/system. (Closes: #1054191)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 02:50:10 +0200

memlockd (1.3.1-1) unstable; urgency=medium

  * Convert to source format 3.0, closes: #1043214
    Thanks Bastian Germann <bage@debian.org> for the NMU
  * Somehow my 2 previous versions didn't get uploaded so new version to get
    them.

 -- Russell Coker <russell@coker.com.au>  Sat, 30 Sep 2023 11:49:17 +1000

memlockd (1.3-4) unstable; urgency=medium

  * Fixed the libnss and libc6 entries in the default config Closes: #1006741

 -- Russell Coker <russell@coker.com.au>  Tue, 07 Mar 2023 00:12:56 +1100

memlockd (1.3-3) unstable; urgency=medium

  * Removed obsolete entries from the default memlockd.cfg
  * Added systemd security features to memlockd.service, the exposure
    level according to "systemd-analyze security memlockd.service" went
    from 9.6 to 2.0.
  * Thanks for the NMU, that's good work.

 -- Russell Coker <russell@coker.com.au>  Mon, 06 Mar 2023 23:45:03 +1100

memlockd (1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix package when building only arch-any packages (Closes: #1000229)

 -- Paul Wise <pabs@debian.org>  Sun, 06 Mar 2022 07:24:13 +0800

memlockd (1.3-2) unstable; urgency=medium

  * Made it install correctly when systemctl isn't installed, closes: ##999587

 -- Russell Coker <russell@coker.com.au>  Sun, 14 Nov 2021 01:29:00 +1100

memlockd (1.3-1) unstable; urgency=medium

  * Updated Debian packaging, closes: #999199
  * Made it enable systemd unit, closes: #934389
  * Removed the obsolete arguments to update-rc.d, closes: #980724

 -- Russell Coker <russell@coker.com.au>  Wed, 10 Nov 2021 13:53:25 +1100

memlockd (1.2.1) unstable; urgency=medium

  * Remove build-depends on dh-systemd
    Closes: #958619

 -- Russell Coker <russell@coker.com.au>  Wed, 20 Jan 2021 21:24:41 +1100

memlockd (1.2) unstable; urgency=low

  * debian/control: Add dh-systemd (>= 1.4) to Build-Depends - required to use
    dh_systemd helpers
  * debian/rules: Add dh_systemd_enable and dh_systemd_start in proper places
    Thanks Michał Zając <quintasan@kubuntu.org> for the above.
    Closes: #714957
  * Changed to Debhelper compat level 9.
  * Removed readdir_r() as it's deprected and readdir() now does everything
    we need.
  * Added $ARCH as a config option for specifiying the host architecture
    according to uname(2).
  * Compile with -O2

 -- Russell Coker <russell@coker.com.au>  Wed, 14 Dec 2016 13:55:24 +1100

memlockd (1.1.1) unstable; urgency=high

  * Made it work correctly with systemd, restarts via systemd and doesn't use
    a pidfile.
    Closes: #678161

 -- Russell Coker <russell@coker.com.au>  Wed, 20 Jun 2012 20:06:20 +1000

memlockd (1.1) unstable; urgency=high

  * Use wheezy paths for shared objects on i386 and amd64.  Also added a new
    config file option to not log file not found errors so we don't see i386
    errors on amd64 and amd64 errors on i386.
    Closes: #660321, #480915
  * Added systemd service file.
    Closes: #652386
  * Added a run-parts style config directory, default is /etc/memlock.d and
    the config file uses a % to chain to another file or directory.
    Closes: #529265

 -- Russell Coker <russell@coker.com.au>  Sat, 16 Jun 2012 15:43:44 +1000

memlockd (1.0) unstable; urgency=low

  * Changed the default config to have library names that work on AMD64
    and to include killall and ps.
  * Better use of variables in the makefile.
  * Put a copyright statement in the main source file and change the license
    to GPLv3.
  * Version 1.0, with no serious changes for 3 years it's good for that.

 -- Russell Coker <russell@coker.com.au>  Tue, 11 Jan 2011 21:07:34 +1100

memlockd (0.05) unstable; urgency=low

  * Stopped including asm/page.h because we didn't use it since 0.03-0.2.
    Closes: #479968

 -- Russell Coker <russell@coker.com.au>  Wed,  7 May 2008 22:06:00 +1000

memlockd (0.04-0.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #468888).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 14:22:03 +0100

memlockd (0.04) unstable; urgency=low

  * Include changes from Robert S. Edmonds
  * Fixed my email address in the Maintainer field.

 -- Russell Coker <russell@coker.com.au>  Sun, 27 Jan 2008 15:57:00 +1100

memlockd (0.03-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Compile with g++, not gcc -lstdc++; closes: #441449.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 09 Sep 2007 17:17:20 -0400

memlockd (0.03-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use sysconf(_SC_PAGESIZE) instead of PAGE_SIZE; closes: #418666.
  * Add dependency on adduser; closes: #431529.
  * Use invoke-rc.d; closes: #440574.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 05 Sep 2007 19:34:22 -0400

memlockd (0.03) unstable; urgency=medium

  * Fixed section and description.

  * Made it write a pidfile, and also made the restart option of the init.d
    script start a new instance unconditionally so the new instance can kill
    the old.  This means that there is no window where memlockd is not
    running.

 -- Russell Coker <russell@coker.com.au>  Tue, 13 Mar 2007 19:12:00 +1100

memlockd (0.02) unstable; urgency=medium

  * Made it not recursively call ldd.  ldd does recursion.



=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
-Build-Depends: debhelper (>= 13)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 3.7.2
 
 Package: memlockd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Pre-Depends: ${misc:Pre-Depends}
 Description: daemon to lock files into RAM
  When a system starts paging excessively it may be impossible for the sysadmin 
  to login for the purpose of killing the runaway processes (sometimes the

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -X changes.txt
